package com.cyksj.service.market.task;

import com.cyksj.model.entity.Task;
import com.cyksj.model.entity.TaskFollowPlatVerify;
import com.cyksj.model.entity.TaskType;

import java.util.List;

/*
 *项目名: netflix
 *文件名: TaskService
 *创建者: JavaZou
 *创建时间:2022/12/27 15:17
 */
public interface TaskService {
	void saveTask(Task task);

	void updateTask(Task task);

	void completeTask(TaskType type, Long userId);

	void batchVerifyFollow( List<TaskFollowPlatVerify> taskFollowPlatVerifyList);
}
